## spyne 2.13.16

=== examples/multiple_protocols/presentation/Makefile ===

all: pres.pdf

pres.pdf: pres.tex get_utc_time.pdf
	pdflatex pres.tex
	pdflatex pres.tex
	pdflatex pres.tex

get_utc_time.pdf: get_utc_time.svg
	inkscape --file=get_utc_time.svg --export-pdf get_utc_time.pdf

## spyne 2.11.0

=== debian/changelog ===
spyne (2.11.0-2) unstable; urgency=low

  * Use dh-python build system.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 13 Aug 2014 20:48:17 +1000

spyne (2.11.0-1) unstable; urgency=low

  * Initial release as spyne.
    (closes: #752398)

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 24 Jun 2014 20:41:36 +1000

python-soaplib (0.8.1-2) unstable; urgency=low

  * debian/control: bump python-version to >= 2.5 (closes: #566858)

 -- Leo Costela <costela@debian.org>  Tue, 26 Jan 2010 23:19:44 +0100

python-soaplib (0.8.1-1) unstable; urgency=low

  * finally take over package as discussed in the BTS (#542675)
  * migrate to soaplib-lxml fork, original upstream dead 
    (closes: #542675)

 -- Leo Costela <costela@debian.org>  Sat, 23 Jan 2010 21:01:54 +0100

python-soaplib (0.0+svn44-2) unstable; urgency=low

  * debian/gbp.conf: Removed no-create-orig line.
  * debian/rules: Updated to work with python 2.6. Thanks to
    Alessio Treglia <quadrispro@ubuntu.com> for the patch.
    (Closes: #521689)
  * debian/README.source: Added.
  * debian/control: Upped Standards-Version.
  * debian/copyright: Version the LGPL link in common-licenses.

 -- Jonny Lamb <jonny@debian.org>  Sat, 04 Apr 2009 11:32:41 +0100

python-soaplib (0.0+svn44-1) unstable; urgency=low

  * New upstream release.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/rules: Added get-orig-source target.
  * debian/control: Use my debian.org email address.

 -- Jonny Lamb <jonny@debian.org>  Mon, 16 Feb 2009 23:19:17 +0000

python-soaplib (0.0+svn39-1) unstable; urgency=low

  * Initial release. (Closes: #495453)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Sun, 24 Aug 2008 17:52:00 +0100

=== debian/control ===
Source: spyne
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all (>= 2.6), python-setuptools, dh-python
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://spyne.io/

Package: python-spyne
Architecture: all
Depends:
  ${python:Depends}, ${misc:Depends},
  python-lxml (>= 2.3.2), python-tz, python-pyparsing
Description: Python library for writing and calling soap web service
 This is a simple, easily extendible rpc library that provides several
 useful tools for creating and publishing web services in Python. This
 package features on-demand wsdl generation for the published servicss
 a wsgi-compliant web application, support for complex class structures,
 binary attachments, and a simple framework for creating additional
 serialization mechanisms.
 .
 This package is the successor of python-rpclib and python-soaplib.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
PYBUILD_NAME=spyne

%:
	dh $@ -v --with python2  --buildsystem=pybuild

get-orig-source:
	uscan --force-download

#
# A bit of a kludge to work around upstream shipping spyne.egg-info, which
# is a work directory created by setup.py.  We have to preserve it, so that
# the source directory looks indentical once we are done.
#
override_dh_clean:
	dh_clean $(DH_INTERNAL_OPTIONS)
	[ ! -d spyne.egg-info.orig ] || { rm -rf spyne.egg-info; mv spyne.egg-info.orig spyne.egg-info; }

override_dh_auto_install:
	[ ! -d spyne.egg-info -o -d spyne.egg-info.orig ] || mv spyne.egg-info spyne.egg-info.orig
	dh_auto_install $(DH_INTERNAL_OPTIONS)
	# kill sort_wsdl
	rm -r debian/python-spyne/usr/bin


override_dh_auto_test:
	echo "Tests disabled because it requires pyparsing <= 1.99."

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/s/spyne/ spyne-([0-9.]+)\.tar\.gz

## spyne 2.12.11

=== debian/changelog ===
spyne (2.12.11-1) unstable; urgency=low

  * Get rid of bad $(DH_INTERNAL_OPTIONS) in rules.  Closes: 831937
  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 24 Jul 2016 21:08:56 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all (>= 2.6), python-setuptools, dh-python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Homepage: http://spyne.io/

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 # the source directory looks indentical once we are done.
 #
 override_dh_clean:
-	dh_clean $(DH_INTERNAL_OPTIONS)
+	dh_clean
 	[ ! -d spyne.egg-info.orig ] || { rm -rf spyne.egg-info; mv spyne.egg-info.orig spyne.egg-info; }
 
 override_dh_auto_install:
 	[ ! -d spyne.egg-info -o -d spyne.egg-info.orig ] || mv spyne.egg-info spyne.egg-info.orig
-	dh_auto_install $(DH_INTERNAL_OPTIONS)
+	dh_auto_install
 	# kill sort_wsdl
 	rm -r debian/python-spyne/usr/bin

## spyne 2.13.15

=== debian/changelog ===
spyne (2.13.15-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade to Python 3 (Closes: #877783, #938554, #960662)
  * Make package lintian clean
  * Build-depend on the test dependencies
  * Correct d/copyright
  * New upstream version

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 15 Jun 2020 20:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all (>= 2.6), python-setuptools, dh-python
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
+  python3-setuptools, python3-lxml, python3-msgpack,
+  python3-pytest, python3-sqlalchemy, python3-suds, python3-twisted, python3-tz,
+  python3-werkzeug, python3-webtest, python3-yaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://spyne.io/
+Testsuite: autopkgtest-pkg-python
 
-Package: python-spyne
+Package: python3-spyne
 Architecture: all
 Depends:
-  ${python:Depends}, ${misc:Depends},
-  python-lxml (>= 2.3.2), python-tz, python-pyparsing
+  ${python3:Depends}, ${misc:Depends}, python3-lxml (>= 3.4.1), python3-pyparsing
 Description: Python library for writing and calling soap web service
  This is a simple, easily extendible rpc library that provides several
  useful tools for creating and publishing web services in Python. This

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_TEST_ARGS=--ignore=spyne/test/interop --ignore=examples

%:
	dh $@ -v --with python3 --buildsystem=pybuild

#
# A bit of a kludge to work around upstream shipping spyne.egg-info, which
# is a work directory created by setup.py.  We have to preserve it, so that
# the source directory looks indentical once we are done.
#
override_dh_clean:
	dh_clean
	[ ! -d spyne.egg-info.orig ] || { rm -rf spyne.egg-info; mv spyne.egg-info.orig spyne.egg-info; }

override_dh_auto_install:
	[ ! -d spyne.egg-info -o -d spyne.egg-info.orig ] || mv spyne.egg-info spyne.egg-info.orig
	dh_auto_install
	# kill unnecessary stuff
	rm -r debian/python3-spyne/usr/bin debian/python3-spyne/usr/lib/python3*/dist-packages/test*

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/s/spyne/ spyne-([0-9.]+)\.tar\.gz

## spyne 2.13.16

=== debian/changelog ===
spyne (2.13.16-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Bastian Germann ]
  * Scan GitHub releases for new version
  * New upstream version 2.13.16
  * Exclude the msgpack tests for Python 3.9 transition

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 24 Nov 2020 17:47:25 +0100

spyne (2.13.15-1) unstable; urgency=medium

  * Add gbp configuration
  * New maintainer (Closes: #966603)
  * Add Debian CI
  * Set Vcs fields
  * Fix wildcard-matches-nothing-in-dep5-copyright

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 31 Jul 2020 19:20:32 +0200

spyne (2.13.15-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only reupload

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 30 Jul 2020 13:39:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: spyne
-Maintainer: Russell Stuart <russell-debian@stuart.id.au>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Bastian Germann <bastiangermann@fishpost.de>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
@@ -9,6 +10,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://spyne.io/
+Vcs-Git: https://salsa.debian.org/python-team/packages/spyne.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/spyne
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-spyne

=== debian/watch ===
version=4
https://github.com/arskom/spyne/releases .*/spyne-(\d\S+)\.tar\.gz

## spyne 2.14.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/spyne.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/spyne.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/spyne"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/spyne"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== examples/tfb/requirements.txt ===
attrs==18.2.0
Automat==0.7.0
colorama==0.4.1
constantly==15.1.0
greenlet==0.4.15
gunicorn==19.9.0
hyperlink==18.0.0
idna==2.8
incremental==17.5.0
lxml==4.3.1
meinheld==0.6.1
msgpack-python==0.5.6
neurons==0.8.4
ply==3.11
psycopg2==2.7.7
pycrypto==2.6.1
PyHamcrest==1.9.0
pytz==2018.9
PyYAML==4.2b4
six==1.12.0
slimit==0.8.1
spyne==2.13.9a0
SQLAlchemy==1.2.17
Twisted==18.9.0
txpostgres==1.6.0
Werkzeug==0.14.1
zope.interface==4.6.0
uwsgi==2.0.18

=== examples/xml/Makefile ===
all: wsse.xsd wsu.xsd ds.xsd xsd.xsd xml.xsd

clean:
	-rm *.xsd

wsse.xsd:
	wget "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" -O wsse.xsd

wsu.xsd:
	wget "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" -O wsu.xsd

ds.xsd:
	wget "https://raw.githubusercontent.com/arskom/pyubl/master/ubl/const/schema/common/xmldsig-core-schema.xsd" -O ds.xsd

xsd.xsd:
	wget "https://www.w3.org/2001/XMLSchema.xsd" -O xsd.xsd

xml.xsd:
	wget "http://www.w3.org/2001/xml.xsd" -O xml.xsd

=== debian/changelog ===
spyne (2.14.0-8) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.2
  * Replace transitional python3-tz with python3-pytz
  * Use dh-sequence-python3
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 15:54:53 +0100

spyne (2.14.0-7) unstable; urgency=medium

  * Ignore rm for nocheck to work (Closes: #1103331)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Apr 2025 17:21:20 +0000

spyne (2.14.0-6) unstable; urgency=medium

  * Tests needs tzdata-legacy
  * Replace cgi.parse_header() for Python 3.13 (see: #1082317)

 -- Bastian Germann <bage@debian.org>  Wed, 09 Oct 2024 13:28:39 +0200

spyne (2.14.0-5) unstable; urgency=medium

  * Fix tests for python 3.12 and sqlalchemy >=2

 -- Bastian Germann <bage@debian.org>  Mon, 03 Jun 2024 17:02:11 +0200

spyne (2.14.0-4) unstable; urgency=medium

  * self.assertEquals => self.assertEqual
  * self.assertNotEquals => self.assertNotEqual

 -- Bastian Germann <bage@debian.org>  Mon, 11 Dec 2023 14:45:19 +0100

spyne (2.14.0-3) unstable; urgency=medium

  * Ignore .egg-info diff (Closes: #1046566)
  * Update customized six version (Closes: #1057796)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Dec 2023 14:00:30 +0100

spyne (2.14.0-2) unstable; urgency=medium

  * Replace old pytest option (Closes: #1013717)

 -- Bastian Germann <bage@debian.org>  Sun, 26 Jun 2022 10:33:49 +0200

spyne (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0
  * Revert "Reactivate sqlalchemy with upstream patch"
  * Run sqlalchemy tests
  * d/patches: Remove upstream 000_fix_collections

 -- Bastian Germann <bage@debian.org>  Fri, 04 Feb 2022 14:17:41 +0100

spyne (2.13.16-4) unstable; urgency=medium

  * Replace 000_fix_collections.patch metadata with actual commit
  * Reactivate sqlalchemy with upstream patch

 -- Bastian Germann <bage@debian.org>  Mon, 31 Jan 2022 13:00:43 +0100

spyne (2.13.16-3) unstable; urgency=medium

  * Scan GitHub tags instead of releases

  [ Henry-Nicolas Tourneur ]
  * d/patches: add 000_fix_collections.patch, fixes an FTBFS (Closes:
    #1002398)

 -- Bastian Germann <bage@debian.org>  Tue, 1 Jan 2022 17:57:11 +0100

spyne (2.13.16-2) unstable; urgency=medium

  * Set bage's debian.org email
  * Exclude the sqlalchemy tests (see #997492)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Oct 2021 17:28:50 +0200

=== debian/control ===
Source: spyne
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Bastian Germann <bage@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-lxml,
 python3-msgpack,
 python3-pytest,
 python3-pytz,
 python3-setuptools,
 python3-sqlalchemy,
 python3-suds,
 python3-twisted,
 python3-webtest,
 python3-werkzeug,
 python3-yaml,
 tzdata-legacy <!nocheck>,
Standards-Version: 4.7.2
Homepage: http://spyne.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/spyne.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/spyne
Testsuite: autopkgtest-pkg-python

Package: python3-spyne
Architecture: all
Depends:
 python3-lxml (>= 3.4.1),
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for writing and calling soap web service
 This is a simple, easily extendible rpc library that provides several
 useful tools for creating and publishing web services in Python. This
 package features on-demand wsdl generation for the published servicss
 a wsgi-compliant web application, support for complex class structures,
 binary attachments, and a simple framework for creating additional
 serialization mechanisms.
 .
 This package is the successor of python-rpclib and python-soaplib.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export PYBUILD_TEST_ARGS=--ignore=spyne/test/interop --ignore=examples
+export PYBUILD_TEST_ARGS=--ignore=spyne/test/interop --ignore=examples -k 'not test_msgpack'
 
 %:
-	dh $@ -v --with python3 --buildsystem=pybuild
+	dh $@ -v --buildsystem=pybuild
 
 #
 # A bit of a kludge to work around upstream shipping spyne.egg-info, which
@@ -19,4 +19,4 @@
 	[ ! -d spyne.egg-info -o -d spyne.egg-info.orig ] || mv spyne.egg-info spyne.egg-info.orig
 	dh_auto_install
 	# kill unnecessary stuff
-	rm -r debian/python3-spyne/usr/bin debian/python3-spyne/usr/lib/python3*/dist-packages/test*
+	-rm -r debian/python3-spyne/usr/bin debian/python3-spyne/usr/lib/python3*/dist-packages/test*

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import spyne; print(spyne)" ; done
Depends:
 python3-all,
 python3-spyne,
Restrictions:
 allow-stderr,
 superficial,
Features:
 test-name=autodep8-python3,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: arskom
Project: spyne
